Package org.springframework.web

# Class HttpMediaTypeNotAcceptableException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jakarta.servlet.ServletException
org.springframework.web.HttpMediaTypeException
org.springframework.web.HttpMediaTypeNotAcceptableException

All Implemented Interfaces:
  `Serializable`, `ErrorResponse`

public class HttpMediaTypeNotAcceptableException extends HttpMediaTypeException
Exception thrown when the request handler cannot generate a response that is acceptable by the client.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.web.ErrorResponse

`ErrorResponse.Builder, ErrorResponse.Interceptor`

## Constructor Summary

Constructors
Constructor
Description
`HttpMediaTypeNotAcceptableException(String message)`
Constructor for when the `Accept` header cannot be parsed.
`HttpMediaTypeNotAcceptableException(List<MediaType> mediaTypes)`
Create a new HttpMediaTypeNotSupportedException.

## Method Summary

Modifier and Type
Method
Description
`HttpHeaders`
`getHeaders()`
Return headers to use for the response.
`HttpStatusCode`
`getStatusCode()`
Return the HTTP status code to use for the response.

### Methods inherited from class org.springframework.web.HttpMediaTypeException

`getBody, getDetailMessageArguments, getDetailMessageCode, getSupportedMediaTypes`

### Methods inherited from class jakarta.servlet.ServletException

`getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.web.ErrorResponse

`getDetailMessageArguments, getTitleMessageCode, getTypeMessageCode, updateAndGetBody`

## Constructor Details

### HttpMediaTypeNotAcceptableException

public HttpMediaTypeNotAcceptableException(String message)
Constructor for when the `Accept` header cannot be parsed.

Parameters:
  `message` - the parse error message

### HttpMediaTypeNotAcceptableException

public HttpMediaTypeNotAcceptableException(List<MediaType> mediaTypes)
Create a new HttpMediaTypeNotSupportedException.

Parameters:
  `mediaTypes` - the list of supported media types

## Method Details

### getStatusCode

public HttpStatusCode getStatusCode()
Description copied from interface: `ErrorResponse`
Return the HTTP status code to use for the response.

### getHeaders

public HttpHeaders getHeaders()
Description copied from interface: `ErrorResponse`
Return headers to use for the response.